## pyscenedetect-dmo 0.6.6

=== requirements.txt ===
#
# PySceneDetect Requirements
#
av>=9.2
click>=8.0
numpy
opencv-python
platformdirs
pytest>=7.0
tqdm

=== debian/changelog ===
pyscenedetect-dmo (0.6.6-dmo2) unstable; urgency=medium

  * debian/rules don't use dh_python3 option '--requires=requirements.txt'

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Mar 2025 09:58:53 +0100

pyscenedetect-dmo (0.6.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Mar 2025 08:47:19 +0100

pyscenedetect-dmo (0.6.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Dec 2024 08:06:02 +0100

pyscenedetect-dmo (0.6.5+really0.6.4-dmo1) unstable; urgency=medium

  * Back to 0.6.4 version.  0.6.5 depends on python3-opencv 4.10.0.84 not
    available in Debian.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Dec 2024 14:19:43 +0100

pyscenedetect-dmo (0.6.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Nov 2024 08:29:37 +0100

pyscenedetect-dmo (0.6.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Jun 2024 07:18:34 +0200

pyscenedetect-dmo (0.6.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Mar 2024 08:56:59 +0100

pyscenedetect-dmo (0.6.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jul 2023 07:32:11 +0200

pyscenedetect-dmo (0.6.1-dmo2) unstable; urgency=medium

  * Rename the package in python3-scenedetect was python3-pyscenedetect

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Jul 2023 18:36:19 +0200

pyscenedetect-dmo (0.6.1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Jul 2023 11:48:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scenedetect

%:
	dh $@ -Spybuild

override_dh_python3:
	dh_python3

# Need to download files from Internet
override_dh_auto_test:

## pyscenedetect-dmo 0.6.7.1

=== requirements.txt ===
#
# PySceneDetect Requirements
#
av>=9.2
# click 8.3.0 is excluded as per https://scenedetect.com/issues/521
click~=8.0,<8.3.0
numpy
opencv-python
platformdirs
pytest>=7.0
tqdm

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PySceneDetect
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
# These are requirements only for the docs.
Sphinx == 7.0.1

=== debian/changelog ===
pyscenedetect-dmo (0.6.7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Sep 2025 07:33:40 +0200

pyscenedetect-dmo (0.6.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Aug 2025 08:40:41 +0200

=== debian/control ===
Source: pyscenedetect-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.scenedetect.com/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
 python3-opencv, pybuild-plugin-pyproject, python3-setuptools,

Package: python3-scenedetect
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
Recommends: ffmpeg, mkvtoolnix
Description: Video scene cut detection and analysis tool
 PySceneDetect is a tool/library for detecting shot changes in videos, and
 automatically splitting the video into separate clips.
 .
 PySceneDetect is free and open-source software, and there are several
 detection methods available - from simple threshold-based fade in/out
 detection, to advanced content aware fast-cut detection of each shot.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scenedetect

%:
	dh $@ -Spybuild

# Need to download files from Internet
override_dh_auto_test:

=== debian/watch ===
version=4

opts="uversionmangle=s/-release//" \
https://github.com/Breakthrough/PySceneDetect/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
